Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 458379 - Review Request: wondershaper - Simple network shaper
Summary: Review Request: wondershaper - Simple network shaper
Keywords:
Status: CLOSED DUPLICATE of bug 1018498
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-08-07 21:20 UTC by Marek Mahut
Modified: 2013-10-12 18:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-16 01:28:32 UTC
opensource: fedora-review-


Attachments (Terms of Use)

Description Marek Mahut 2008-08-07 21:20:02 UTC
Spec URL: http://mmahut.fedorapeople.org/reviews/wondershaper/wondershaper.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/wondershaper/wondershaper-1.1a-1.fc8.src.rpm
Description: Many cablemodem and ADSL users experience horrifying latency
while uploading or downloading. They also notice that uploading
hampers downloading greatly. The wondershaper neatly addresses
these issues, allowing users of a router with a wondershaper to
continue using SSH over a loaded link happily.

Simple bash script.

Comment 1 Till Maas 2008-08-08 15:26:14 UTC
- Source0: has to be a full URL, e.g. http://lartc.org/wondershaper/wondershaper-%{version}.tar.gz
- You should add a comment about the status of the patch:
https://fedoraproject.org/wiki/Packaging/PatchUpstreamStatus

Hint:

Adding -b .parameters makes it easier to modify the patch, if this is ever needed, because you can then use "make rediff SUFFIX=parameters" or something similiar in Fedora's cvs.

Comment 3 Marek Mahut 2008-08-08 16:04:01 UTC
SRPM URL w/ correct alpha tag: http://mmahut.fedorapeople.org/reviews/wondershaper/wondershaper-1.1-0.1.a.fc8.src.rpm

Comment 4 Till Maas 2008-08-08 17:50:47 UTC
The package is missing a:
BuildArch:      noarch

[NOT OK] rpmlint output:
wondershaper.i386: W: incoherent-version-in-changelog 1.1a-2 1.1-0.1.a.f8
This is obvious imho

wondershaper.i386: E: no-binary
I guess it is because the package is not noarch

[OK] Spec in %{name}.spec format
[OK] license: GPL+
[NOT OK] license matches shortname in License:
Imho it should be GPL+, I cannot see a statement that says it is v2 or later
For reference: https://fedoraproject.org/wiki/Licensing
Upstream says:
| Licensed under the GPL

[OK] license in tarball and included in %doc:
COPYING

[OK] package is code or permissive content:
{OK} patches sent to upstream and commented
[OK] Source0 is a working URL
<OK> SourceX / PatchY prefixed with %{name}
[OK] Source0 matches Upstream:
bbc5a3a4485ab286e337ce8550e7b990  wondershaper-1.1a.tar.gz

[OK] Package builds on all platforms: it's noarch
[OK] BuildRequires are complete: no build
(OK) No file dependencies outside of /etc /bin /sbin /usr/bin /usr/sbin
[OK] Prefix: /usr not used (not relocatable)

[OK] Owns all created directories
[OK] no duplicates in %files
[OK] %defattr(-,root,root,-) is in every %files section
[OK] Does not own files or dirs from other packages
[OK] included filenames are in UTF-8

[OK] %clean is rm -rf %{buildroot} or $RPM_BUILD_ROOT
[OK] %build starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT

[OK] Consistent macro usage

[OK] large documentation is -doc subpackage
[OK] %doc does not affect runtime

{OK} well known BuildRoot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

{OK} PreReq not used
{OK} no duplication of system libraries

{NOT OK} Timestamps preserved with cp and install
https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps
install in %install should have -p added

{OK} only writes to tmp /var/tmp $TMPDIR %{_tmppath} %{_builddir} (and %{buildroot} on %install and %clean)
{OK} nothing installed in /srv
{OK} Changelog in allowed format


Fix changelog, architecture and install. Use GPL+ as License or show me why it is GPLv2+. Then I will approve this.

Comment 5 Till Maas 2008-11-06 21:41:26 UTC
ping?

Comment 6 Till Maas 2008-12-16 01:28:32 UTC
In case you want to finish this package, please reopen this ticket.

Comment 7 Mosaab Alzoubi 2013-10-10 10:21:47 UTC
Open this bug to continue it . because this package required by TuxCut :
https://bugzilla.redhat.com/show_bug.cgi?id=1015775

Thank You

Comment 9 Mosaab Alzoubi 2013-10-11 23:27:53 UTC
NG of wondershaper :


Spec : http://ojuba.org/oji/SPECS/wondershaper.spec
SRPM : http://ojuba.org/oji/SRPMS/wondershaper-1.2-1.oji.fc19.src.rpm

Comment 10 Christopher Meng 2013-10-12 18:00:58 UTC

*** This bug has been marked as a duplicate of bug 1018498 ***


Note You need to log in before you can comment on or make changes to this bug.